{
  "name": "huaxin-base-frontend",
  "version": "1.0.0",
  "packageManager": "pnpm@8.10.2",
  "engines": {
    "node": ">=18"
  },
  "author": {
    "name": "luzixun",
    "email": "869322496@qq.com",
    "url": "https://github.com/869322496"
  },
  "scripts": {
    "bootstrap": "pnpm install",
    "serve": "npm run dev",
    "dev": "vite",
    "build": "rimraf dist && cross-env NODE_ENV=production vite build",
    "build:watch": "rimraf dist && cross-env NODE_ENV=production vite build --watch",
    "preview": "npm run build && vite preview",
    "preview:dist": "vite preview",
    "deploy": "bash deploy.sh",
    "openapi": "npx tsx openapi.config.ts",
    "clean:cache": "npx rimraf node_modules/.cache/ && npx rimraf node_modules/.vite",
    "clean:lib": "npx rimraf node_modules packages/*/node_modules",
    "format": "prettier --write .",
    "lint": "eslint . --ext .vue,.js,.ts,.jsx,.tsx,.md,.json --max-warnings 0 && pretty-quick --check --branch main",
    "lint:fix": "eslint --fix . --ext .vue,.js,.ts,.jsx,.tsx,.md,.json && pretty-quick --branch main",
    "lint:eslint": "eslint --cache --max-warnings 0  \"{src,mock}/**/*.{vue,ts,tsx}\" --fix",
    "lint:prettier": "prettier --write  \"src/**/*.{js,json,tsx,css,less,scss,vue,html,md}\"",
    "lint:stylelint": "stylelint --cache --fix \"**/*.{vue,less,postcss,css,scss}\" --cache --cache-location node_modules/.cache/stylelint/",
    "lint:lint-staged": "lint-staged",
    "gen:changelog": "conventional-changelog -p angular -i CHANGELOG.md -s && git add CHANGELOG.md",
    "reinstall": "rimraf pnpm-lock.yaml && rimraf package.lock.json && rimraf node_modules && npm run bootstrap",
    "test:gzip": "npx http-server dist --cors --gzip -c-1",
    "test:br": "npx http-server dist --cors --brotli -c-1",
    "commitlint": "commitlint --config commitlint.config.cjs -e -V",
    "c": "git add . && git cz && git push",
    "release": "standard-version"
  },
  "dependencies": {
    "@ant-design/icons-vue": "~7.0.1",
    "@iconify/vue": "^4.1.1",
    "@tinymce/tinymce-vue": "^5.1.1",
    "@types/dat.gui": "^0.7.12",
    "@types/three": "^0.162.0",
    "@vueuse/core": "~10.8.0",
    "ant-design-vue": "~4.1.2",
    "axios": "~1.6.7",
    "dat.gui": "^0.7.9",
    "dayjs": "~1.11.10",
    "dhtmlx-gantt": "^8.0.6",
    "echarts": "^5.5.0",
    "file-saver": "~2.0.5",
    "gsap": "^3.12.5",
    "js-file-download": "^0.4.12",
    "lodash-es": "~4.17.21",
    "mathjs": "^12.4.1",
    "mitt": "~3.0.1",
    "nprogress": "~1.0.0-1",
    "pinia": "~2.1.7",
    "qiniu-js": "^3.4.2",
    "qs": "~6.11.2",
    "sortablejs": "~1.15.2",
    "three": "^0.162.0",
    "tinymce": "^6.8.3",
    "vue": "~3.4.19",
    "vue-echarts": "^6.6.9",
    "vue-i18n": "9.9.1",
    "vue-router": "~4.3.0",
    "vue-types": "~5.1.1",
    "vue-virtual-scroller": "2.0.0-beta.8",
    "xlsx": "~0.18.5"
  },
  "devDependencies": {
    "@commitlint/cli": "~18.6.0",
    "@commitlint/config-conventional": "~18.6.0",
    "@faker-js/faker": "^8.4.1",
    "@iconify-json/ant-design": "^1.1.15",
    "@iconify-json/ep": "^1.1.14",
    "@iconify/json": "^2.2.180",
    "@types/lodash-es": "~4.17.12",
    "@types/node": "~20.11.16",
    "@typescript-eslint/eslint-plugin": "~7.0.2",
    "@typescript-eslint/parser": "~7.0.2",
    "@umijs/openapi": "^1.10.1",
    "@vitejs/plugin-vue": "~5.0.4",
    "@vitejs/plugin-vue-jsx": "~3.1.0",
    "@vue/tsconfig": "^0.5.1",
    "cliui": "^8.0.1",
    "commitizen": "~4.3.0",
    "conventional-changelog-cli": "~4.1.0",
    "core-js": "^3.36.0",
    "cross-env": "~7.0.3",
    "cz-customizable": "^7.0.0",
    "eslint": "~8.57.0",
    "eslint-config-prettier": "~9.1.0",
    "eslint-define-config": "~2.1.0",
    "eslint-plugin-import": "~2.29.1",
    "eslint-plugin-prettier": "~5.1.3",
    "eslint-plugin-vue": "~9.22.0",
    "husky": "~9.0.10",
    "less": "~4.2.0",
    "lightningcss": "^1.24.0",
    "lint-staged": "~15.2.2",
    "mockjs": "~1.1.0",
    "msw": "^2.2.1",
    "postcss": "~8.4.34",
    "postcss-html": "~1.6.0",
    "postcss-less": "~6.0.0",
    "prettier": "~3.2.5",
    "pretty-quick": "~4.0.0",
    "rimraf": "~5.0.5",
    "standard-version": "^9.5.0",
    "stylelint": "~16.2.1",
    "stylelint-config-property-sort-order-smacss": "^10.0.0",
    "stylelint-config-recommended": "~14.0.0",
    "stylelint-config-recommended-vue": "~1.5.0",
    "stylelint-config-standard": "~36.0.0",
    "stylelint-order": "~6.0.4",
    "stylelint-prettier": "^5.0.0",
    "terser": "~5.28.1",
    "ts-node": "^10.9.2",
    "typescript": "~5.3.3",
    "unocss": "^0.58.5",
    "unplugin-vue-components": "~0.26.0",
    "vite": "~5.1.4",
    "vite-plugin-checker": "~0.6.4",
    "vite-plugin-mkcert": "^1.17.3",
    "vite-plugin-svg-icons": "~2.0.1",
    "vue-eslint-parser": "~9.4.2",
    "vue-tsc": "~1.8.27"
  },
  "keywords": [
    "vue",
    "ant-design-vue",
    "vue3",
    "ts",
    "tsx",
    "admin",
    "typescript"
  ],
  "target": "web",
  "pnpm": {
    "peerDependencyRules": {
      "ignoreMissing": [
        "rollup"
      ],
      "allowedVersions": {
        "postcss": "5"
      }
    }
  },
  "config": {
    "commitizen": {
      "path": "cz-customizable"
    }
  },
  "lint-staged": {
    "*.{js,ts,jsx,tsx,vue}": [
      "npm run lint"
    ]
  }
}
